Subject: Re: Oh him...
From: "Michael B" <[email-masked]>
To: "Scott Edstrom" <[email-masked]>
Date: Mon, 15 Dec 2014 11:35:51 -0500

Hey Scotty!
Yes it is good to hear from you as well.  Things are going well with us and the new addition to our family is absolutely amazing!  I have been told by so many of my friends how great it is being a grand parent but it far surpasses my expectation.  I highly recommend it!  Hope things are well with you in Cali.  I am certain you do not miss the winters here.  Also having your boy out there must be nice as well.  I miss the the little man.  He's a good kid!  I pray your time with him is a blessed one!  I am at that place in my life where I am finally realizing that we only have a short time with people in our lives.  Our parents, children and friends.  I know I need to try and cherish the time I am given with my loved ones.  Sorry to get so deep... ha.  Anyway, I pray God's blessing be upon you Scott.  Let me know if you are going to back in MI.
Thank you,
Michael B

From: Scott Edstrom 
Sent: Friday, December 12, 2014 2:23 PM
To: Michael B 
Cc: Scott Edstrom 
Subject: Re: Oh him...

Mike that will never cease to make me laugh!  How have you been?  Hows the family?  How is life as a new Granpappy??
It would be nice to catch up sometime.  

Thank You, 
Scott Edstrom

On Dec 11, 2014, at 8:32 AM, Michael B <[email-masked]> wrote:

  Still makes me lol...

  I'm looking for a Mr. Ace Ventura.
  - No man carries with him a label.
  Oh yes , no names, how silly of me ...Um he's an American.
  - We are all children of the same life force.
  Yes of course ..Um ..he bends over and he speaks from his rear.
  - Oh him .... Right this way

  Thank you,
  Michael B
  LLPS